Subject: Re: How do I list subdirectories?
From: " Clark Sims " <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 25 Aug 1999 06:08:52 -0700

--

On Wed, 25 Aug 1999 05:25:34   Earnie Boyd wrote:
>---  Clark Sims  <[email-masked]> wrote:
>>  In the FSF version of bash
>> ls -F | egrep *\/
>> listed all of the subdirectories of the current working
>> directory.
>> In the Cygwin version the same command produces no
>> output.
>> 
>> How do I list the subdirectories of the current working
>> directory?
>> 
>
>Doesn't the egrep need to be `egrep .*\/'?  The period indicates any character,
>the * indicates any number of the preceding character.  Therefore to match what
>you want you need to specify .* to mean any number of any character.
>

Nice try but 
ls -F | egrep .*\/ 
doesn't work.
I agree that it ought to. I don't understand why it
doesn't.

However Kim Poulsen found a command that does work:
ls -F | egrep \/

It seems that this is a question on pattern matching.
It seems to me that a directory which is mached by:
\/
should also be matched by
*\/
and 
.*\/

Maybe I will understand the difference in
interpretations as I become more familiar
with Cygwin. Untill then I am stumped.

Thanks,

Clark

--== Sent via Deja.com http://www.deja.com/ ==--
Share what you know. Learn what you don't.

--
Want to unsubscribe from this list?
Send a message to [email-masked]